## i2psource 2.8.2

=== debian/changelog ===
i2p (2.8.1-1~ubuntu1) jammy; urgency=medium

  * New upstream version 2.8.1

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Mon, 17 Mar 2025 12:12:12 +0000

i2p (2.8.0-2~ubuntu1) focal; urgency=medium

  * New upstream version 2.8.0

 -- idk <hankhill19580@gmail.com>  Wed, 5 Feb 2025 12:00:00 +0000

i2p (2.7.0-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.7.0

 -- idk <hankhill19580@gmail.com>  Sat, 12 Oct 2024 12:00:00 +0000

i2p (2.6.1-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.6.1

 -- idk <hankhill19580@gmail.com>  Wed, 7 Aug 2024 12:00:00 +0000

i2p (2.6.0-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.6.0

 -- idk <hankhill19580@gmail.com>  Wed, 20 Jul 2024 12:40:12 +0000

i2p (2.5.2-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.5.2

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 15 May 2024 12:12:12 +0000

i2p (2.5.1-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.5.1

 -- idk <hankhill19580@gmail.com>  Tue, 07 May 2024 11:17:09 -0400

i2p (2.5.0-1~ubuntu1) focal; urgency=medium

  * New upstream version 2.5.0

 -- idk <hankhill19580@gmail.com>  Tue, 09 Apr 2024 22:09:03 -0400

i2p (2.4.0-2~ubuntu1) focal; urgency=medium

  * New upstream version 2.4.0

 -- idk <hankhill19580@gmail.com>  Wed, 20 Dec 2023 19:28:05 +0000

i2p (2.4.0-1ubuntu1) focal; urgency=medium

  * New upstream version 2.4.0

 -- idk <hankhill19580@gmail.com>  Wed, 20 Dec 2023 19:28:05 +0000

i2p (2.3.0-1ubuntu1) focal; urgency=medium

  * New upstream version 2.3.0

 -- idk <hankhill19580@gmail.com>  Sat, 1 Jul 2023 10:45:12 +0000

i2p (2.2.1-1ubuntu1) focal; urgency=medium

  * New upstream version 2.2.1

 -- idk <hankhill19580@gmail.com>  Mon, 17 Apr 2023 02:57:29 +0000

i2p (2.2.0-1ubuntu1) focal; urgency=medium

  * New upstream version 2.2.0

 -- eyedeekay <hankhill19580@gmail.com>  Wed, 14 Mar 2023 12:12:12 +0000

i2p (2.1.0-1ubuntu1) focal; urgency=medium

  * New upstream version 2.1.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 11 Jan 2023 12:12:12 +0000

i2p (2.0.0-2ubuntu1) focal; urgency=medium

  * Fix stray char in links file causing symlinks in /

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 02 Dec 2022 18:18:18 +0000

i2p (2.0.0-1ubuntu1) focal; urgency=medium

  * New upstream version 2.0.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 22 Nov 2022 12:12:12 +0000

i2p (1.9.0-1ubuntu1) focal; urgency=medium

  * New upstream version 1.9.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 23 Aug 2022 12:12:12 +0000

i2p (1.8.0-1ubuntu1) focal; urgency=medium

  * New upstream version 1.8.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 24 May 2022 12:12:12 +0000

i2p (1.7.0-1ubuntu1) focal; urgency=medium

  * New upstream version 1.7.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 22 Feb 2022 12:12:12 +0000

i2p (1.6.1-1ubuntu1) focal; urgency=medium

  * New upstream version 1.6.1

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 30 Nov 2021 12:12:12 +0000

i2p (1.5.0-2ubuntu1) focal; urgency=medium

  * New upstream version 1.5.0

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 25 Aug 2021 12:12:12 +0000

i2p (0.9.50-1ubuntu1) focal; urgency=medium

  * New upstream version 0.9.50

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 19 May 2021 12:12:12 +0000

i2p (0.9.49-1ubuntu1) focal; urgency=medium

  * New upstream version 0.9.49

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 17 Feb 2021 12:12:12 +0000

i2p (0.9.48-1ubuntu1) focal; urgency=medium

  * New upstream version 0.9.48

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 02 Dec 2020 12:12:12 +0000

i2p (0.9.47-1ubuntu1) focal; urgency=medium

  * New upstream version 0.9.47

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 25 Aug 2020 12:12:12 +0000

i2p (0.9.46-1ubuntu1) eoan; urgency=medium

  * New upstream version 0.9.46

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 26 May 2020 12:12:12 +0000

i2p (0.9.45-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.45

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Mon, 24 Feb 2020 12:12:12 +0000

i2p (0.9.44-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.44

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Sun, 01 Dec 2019 12:12:12 +0000

i2p (0.9.43-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.43

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Tue, 22 Oct 2019 12:12:12 +0000

[1;5A0.9.42-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.42

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 28 Aug 2019 12:12:12 +0000

i2p (0.9.41-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.41

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 3 Jul 2019 12:12:12 +0000

i2p (0.9.40-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.40

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 8 May 2019 12:12:12 +0000

i2p (0.9.39-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.39

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 22 Mar 2019 12:12:12 +0000

i2p (0.9.38-1~disco+1) disco; urgency=medium

  * New upstream version 0.9.38

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 23 Jan 2019 12:12:12 +0000

i2p (0.9.37-1ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.37

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Fri, 05 Oct 2018 12:12:12 +0000

i2p (0.9.36-2ubuntu1) bionic; urgency=medium

  * New upstream version 0.9.36

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 23 Aug 2018 12:12:12 +0000

i2p (0.9.35-1ubuntu1) artful; urgency=medium

  * New upstream version 0.9.35

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 27 Jun 2018 12:12:12 +0000

i2p (0.9.34-2ubuntu1) artful; urgency=medium

  * New upstream version 0.9.34

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Wed, 11 Apr 2018 12:12:12 +0000

i2p (0.9.33-1ubuntu1) artful; urgency=medium

  * New upstream version 0.9.33


