## i2psource 2.9.0

=== debian/changelog ===
i2p (2.8.2-1~ubuntu1) jammy; urgency=medium

  * New upstream version 2.8.2

 -- zzz on i2p (key signing) <zzz@i2pmail.org>  Sat, 29 Mar 2025 12:12:12 +0000
