=== debian/watch ===
version=4

https://download.i2p2.de/releases/(^[0-9].+)$/i2psource_(.+)\.tar\.bz2 debian debian/repack.sh
