## i2psource 2.11.0

=== debian/changelog ===
i2p (2.10.0-1~ubuntu1) jammy; urgency=medium

  * New upstream version 2.10.0

 -- idk <hankhill19580@gmail.com>  Wed, 10 Sep 2025 12:12:12 +0000
