=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 Vcs-Browser: https://salsa.debian.org/debian/i2p
 Vcs-Git: https://salsa.debian.org/debian/i2p.git
 Build-Depends: debhelper (>= 9.20160709)
- ,ant (>= 1.9.8)
+ ,ant (>= 1.10.2)
  ,debconf
  ,default-jdk
- ,libjetty9-java (>= 9.4)
+ ,libjetty12-java
+ ,libslf4j2-java
  ,libjsp-api-java
  ,libservlet-api-java
  ,libtaglibs-standard-jstlel-java
@@ -24,6 +25,7 @@
  ,libgmp-dev (>= 2:5.0.5)
  ,libservice-wrapper-java
  ,po-debconf
+ ,libbcprov-java (>= 1.80)
 
 Package: i2p
 Architecture: all
@@ -80,17 +82,19 @@
 Section: net
 Priority: optional
 Depends: ${misc:Depends}, ${java:Depends}, ${shlibs:Depends},
- default-jre-headless | java11-runtime-headless | openjdk-21-jre-headless | openjdk-17-jre-headless | openjdk-11-jre-headless | java21-runtime-headless | java17-runtime-headless,
+ default-jre-headless | openjdk-25-jre-headless | openjdk-21-jre-headless | openjdk-17-jre-headless,
  geoip-database,
  gettext-base,
  libgetopt-java,
  libjson-simple-java (>= 2),libjson-simple-java (<< 3),
- libjetty9-java (>= 9.4),
+ libjetty12-java,
+ libslf4j2-java,
  libjsp-api-java,
  libservlet-api-java,
  libtaglibs-standard-jstlel-java,
  libtomcat9-java,
  famfamfam-flag-png,
+ libbcprov-java (>= 1.80),
  sensible-utils
 Replaces: i2p ( << 0.8.6-5)
 Breaks: i2p (<< 0.8.6-5)
